<template>
  <div class="container centered">
    <h1>Edition</h1>

    <Form :user="user" v-if="user" @send="update"/>
  </div>
</template>

<script>
import Form from "./Form";
import UserService from "../services/UserService";

export default {
  name: "Edit",
  components: {
    Form
  },
  data: function() {
    return {
      user: null
    };
  },
  created: function() {
    UserService.fetchOne(this.$route.params.id)
      .then(user => {
        this.user = user;
      })
      .catch(({ message }) => {
        this.$toasted.error(message);
        this.$router.replace("/");
      });
  },
  methods: {
    update: function(user) {
      UserService.updateUser(user)
        .then(() => {
          this.$toasted.success("Collaborateur mis à jour ! 😉");
          this.$router.replace("/list");
        })
        .catch(({ message }) => this.$toasted.error(message));
    }
  }
};
</script>

<style>
</style>
